{% extends 'shared/layout.html' %}
{% load static %}
{% block h3 %}
  Anon Ticket
{% endblock %}
{% block subheader %} 
  Create an Issue Report and Save it To the Database
{% endblock %}
<!-- Extra links block for pages that have a user_identifier piped to them.-->
{% block extra_links %}
  {% include 'shared/extend_sidebar.html' %}
{% endblock %}

{% block content %}
<div class="row">
  <div class="col-12">
    <p class="p-3">
      This form will allow you to create an issue/ticket for 
      a specific project. Please note that not all of TorProject's GitLab 
      repos are currently using this anonymous portal--so if you 
      don't find the project in the dropdown below, you will not be
      able to create a ticket for it using this system.
    </p>
    <p class="p-3">
      All issues are held in a pending status until they're approved by
      a moderator. You can check the status of your issue at any time
      on 
      {% url 'user-landing' as landing_url %}
      <a href="{{landing_url}}">your landing page</a>.
    </p>
    <p class="p-3">
      Before creating a new issue report, please try 
      {% url 'issue-search' as issue_url %}
      <a href="{{issue_url}}">searching the for the issue</a> 
      first, to avoid duplication.
    </p>
  </div>
</div>
<div class="row">
  <div class="col-12">
    <form class="bg-light p-4 form-control ml-3 mr-3" method="POST">
      {% csrf_token %}
      <!--Loop over form fields, allowing for custom styling. Help-text 
      and custom labels/descriptions are taken from forms.py-->
      {% for field in form %}
        <div class="fieldWrapper form-group">
          {{ field.errors }}
          
          <div class="row">
            <div class="col-12">
              <div class="mb-0">{{ field.label_tag }}</div>
            </div>
          </div>

          {% if field.help_text %}
          <div class="row">
            <div class="col-12">
              <div class="help small p-0 text-muted mb-2">
                {{ field.help_text|safe }}
              </div>
            </div>
          </div>
          {% endif %}

          <div class="row">
            <div class="col-12">
              <div class="flex-form mb-3">{{ field }}</div>
            </div>
          </div>
        </div>
      {% endfor %}
      <button type="submit" class="btn btn-lg btn-primary mr-2">Create Issue</button>
    </form>
  </div>
</div>
{% endblock %}